Package groovy.yaml

## Class YamlRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - groovy.lang.GroovyRuntimeException
        - - groovy.yaml.YamlRuntimeException

- All Implemented Interfaces:
    `Serializable`

      public class YamlRuntimeException
      extends GroovyRuntimeException

  Represents runtime exception occurred when parsing or building YAML
  Since:
    3.0.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `YamlRuntimeException​(String msg)` |
    `YamlRuntimeException​(String msg, Throwable cause)` |
    `YamlRuntimeException​(Throwable cause)` |

  - ### Method Summary

    - ### Methods inherited from class groovy.lang.GroovyRuntimeException

      `getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### YamlRuntimeException

          public YamlRuntimeException​(String msg)

    - #### YamlRuntimeException

          public YamlRuntimeException​(Throwable cause)

    - #### YamlRuntimeException

          public YamlRuntimeException​(String msg,
                                      Throwable cause)